Package org.springframework.web.multipart

# Interface MultipartRequest

All Known Subinterfaces:
  `MultipartHttpServletRequest`

All Known Implementing Classes:
  `AbstractMultipartHttpServletRequest`, `DefaultMultipartHttpServletRequest`, `StandardMultipartHttpServletRequest`

public interface MultipartRequest
This interface defines the multipart request access operations that are exposed for actual multipart requests. It is extended by `MultipartHttpServletRequest`.

Since:
  2.5.2
Author:
  Juergen Hoeller, Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`MultipartFile`
`getFile(String name)`
Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.
`Map<String,MultipartFile>`
`getFileMap()`
Return a `Map` of the multipart files contained in this request.
`Iterator<String>`
`getFileNames()`
Return an `Iterator` of String objects containing the parameter names of the multipart files contained in this request.
`List<MultipartFile>`
`getFiles(String name)`
Return the contents plus description of uploaded files in this request, or an empty list if it does not exist.
`org.springframework.util.MultiValueMap<String,MultipartFile>`
`getMultiFileMap()`
Return a `MultiValueMap` of the multipart files contained in this request.
`String`
`getMultipartContentType(String paramOrFileName)`
Determine the content type of the specified request part.

## Method Details

### getFileNames

Iterator<String> getFileNames()
Return an `Iterator` of String objects containing the parameter names of the multipart files contained in this request. These are the field names of the form (like with normal parameters), not the original file names.

Returns:
  the names of the files

### getFile

@Nullable MultipartFile getFile(String name)
Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.

Parameters:
  `name` - a String specifying the parameter name of the multipart file
Returns:
  the uploaded content in the form of a `MultipartFile` object

### getFiles

List<MultipartFile> getFiles(String name)
Return the contents plus description of uploaded files in this request, or an empty list if it does not exist.

Parameters:
  `name` - a String specifying the parameter name of the multipart file
Returns:
  the uploaded content in the form of a `MultipartFile` list
Since:
  3.0

### getFileMap

Map<String,MultipartFile> getFileMap()
Return a `Map` of the multipart files contained in this request.

Returns:
  a map containing the parameter names as keys, and the `MultipartFile` objects as values

### getMultiFileMap

org.springframework.util.MultiValueMap<String,MultipartFile> getMultiFileMap()
Return a `MultiValueMap` of the multipart files contained in this request.

Returns:
  a map containing the parameter names as keys, and a list of `MultipartFile` objects as values
Since:
  3.0

### getMultipartContentType

@Nullable String getMultipartContentType(String paramOrFileName)
Determine the content type of the specified request part.

Parameters:
  `paramOrFileName` - the name of the part
Returns:
  the associated content type, or `null` if not defined
Since:
  3.1